from kennel.engine.components.controllable import Controllable
from kennel.engine.components.position import Position

from .entity import Entity, EntityType


class Laser(Entity):
    def __init__(self, id: str, controllable_by: str):
        components = [
            Position(0, 0),
            Controllable(controllable_by),
        ]

        super().__init__(EntityType.LASER, id, components)
